{
  "name": "@lvqconsult/spatium-cli",
  "version": "4.0.0",
  "description": "",
  "homepage": "https://gitlab.com/lvq-consult/spatium/spatium-cli#readme",
  "bugs": {
    "url": "https://gitlab.com/lvq-consult/spatium/spatium-cli/issues"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com:lvq-consult/spatium/spatium-cli.git"
  },
  "license": "MIT",
  "author": "",
  "main": "index.js",
  "bin": {
    "spatium-cli": "./bin/spatium-cli"
  },
  "files": [
    "bin",
    "dist/src",
    "package.json"
  ],
  "scripts": {
    "build": "npm run tsc",
    "deprecate": "echo \"npm deprecate my-thing@0.2.3 \"critical bug fixed in v0.2.3\"\"",
    "git:hooks:precommit": "npm run git:hooks:precommit:jsonsort && npm run git:hooks:precommit:lint-staged && git add .",
    "git:hooks:precommit:audit-fix": "npm audit fix && exit 0",
    "git:hooks:precommit:jsonsort": "jsonsort package.json **/package.json",
    "git:hooks:precommit:lint-staged": "lint-staged",
    "huskyinstall": "husky install",
    "lint": "eslint src/",
    "start": "tsc --build tsconfig.json --watch",
    "test": "jest spec.ts --config=jest.config.js",
    "test:export": "node index.js export --all -d artifacts",
    "tsc": "tsc --build tsconfig.json"
  },
  "lint-staged": {
    "*.ts": [
      "organize-imports-cli",
      "prettier --write",
      "eslint --cache --fix"
    ]
  },
  "dependencies": {
    "@lvqconsult/spatium-db": "^0.0.7",
    "axios": "^0.25.0",
    "chartscii": "^1.2.3",
    "cli-progress": "^3.8.2",
    "cli-table3": "^0.6.0",
    "colors": "^1.4.0",
    "dropbox": "^8.1.0",
    "exceljs": "^4.2.0",
    "express": "^4.17.1",
    "fs-extra": "^9.0.1",
    "glob": "^7.1.6",
    "isomorphic-fetch": "^3.0.0",
    "lodash": "^4.17.20",
    "luxon": "^1.25.0",
    "open": "^7.3.0",
    "prettier": "^2.4.1",
    "prompts": "^2.4.2",
    "puppeteer": "^13.1.1",
    "reflect-metadata": "^0.1.13",
    "tsyringe": "^4.4.0",
    "uuid": "^8.3.1",
    "yargs": "^16.1.1"
  },
  "devDependencies": {
    "@types/cli-progress": "^3.8.0",
    "@types/colors": "^1.2.1",
    "@types/express": "^4.17.9",
    "@types/fs-extra": "^9.0.4",
    "@types/glob": "^7.1.3",
    "@types/isomorphic-fetch": "^0.0.35",
    "@types/jest": "28.1.6",
    "@types/lodash": "^4.14.165",
    "@types/luxon": "^1.25.0",
    "@types/node": "^14.14.8",
    "@types/prettier": "^2.4.2",
    "@types/prompts": "^2.0.9",
    "@types/uuid": "^8.3.0",
    "@types/yargs": "^15.0.10",
    "@typescript-eslint/eslint-plugin": "^5.6.0",
    "@typescript-eslint/parser": "^5.6.0",
    "eslint": "^8.4.1",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-jsdoc": "^37.2.0",
    "husky": "^8.0.1",
    "jest": "28.1.3",
    "json-sort-cli": "^2.0.15",
    "lint-staged": "^12.1.2",
    "organize-imports-cli": "^0.10.0",
    "prettier": "^2.6.2",
    "ts-jest": "28.0.7",
    "tslint": "^6.1.3",
    "typescript": "^4.7.4"
  }
}
